/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-01-19
 * 描述            ：冶金规范工序表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.metallurgy.impl;
import market.Com.vo.CommonPage;
import market.Com.vo.ResultModel;
import market.Qms.metallurgy.mapper.ComMscProcessMapper;
import market.Qms.metallurgy.service.ComMscProcessService;
import market.Qms.metallurgy.vo.ComMscProcess;

import com.hnshituo.basic.service.impl.BaseServiceImpl;
import com.hnshituo.basic.spring.remoting.annotation.RemoteService;

@RemoteService(path="ComMscProcessService")
public class ComMscProcessServiceImpl extends BaseServiceImpl<ComMscProcess,Object> implements ComMscProcessService {

	public ResultModel doAddProcess(CommonPage<ComMscProcess>sum) {
		ResultModel rm =new ResultModel();
		try {
			ComMscProcess cmp =sum.getObject();
			this.getMapper(ComMscProcessMapper.class).update(cmp);
			rm.setState("200");
		} catch (Exception e) {
			// TODO: handle exception
			rm.setState("500");
			rm.setMsgInfo("确认失败");
		}
		return rm;
	}

}
